Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.base
[Java] Interface BuildableModelElement

    org.gradle.api.Buildable
      org.gradle.language.base.BuildableModelElement

All Superinterfaces:
  Buildable

    @Incubating
    public interface BuildableModelElement
    extends Buildable

A model element that is directly buildable. Such an element mirrors a specified lifecycle task in the DAG, and can accept dependencies which are then associated with the lifecycle task.

Method Summary
`void` | `builtBy(Object... tasks)` Adds a task that is required for the construction of this element.
`void` | `setLifecycleTask(Task lifecycleTask)` Associates a 'lifecycle' task with the construction of this element.

Methods inherited from interface Buildable
getBuildDependencies

Method Detail

### builtBy

    public void builtBy(Object... tasks)

  Adds a task that is required for the construction of this element. A task added this way is then added as a dependency of the associated lifecycle task.

### setLifecycleTask

    public void setLifecycleTask(Task lifecycleTask)

  Associates a 'lifecycle' task with the construction of this element.

Gradle API 1.10